## IAnjutaCpuDebugger IAnjutaCpuDebugger — CPU specific debugger interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-cpu-debugger.h>

    #define             IANJUTA_CPU_DEBUGGER_ERROR
                        IAnjutaCpuDebugger;
                        IAnjutaCpuDebuggerIface;
    GQuark              ianjuta_cpu_debugger_error_quark    (void);
    gboolean            ianjuta_cpu_debugger_disassemble    (IAnjutaCpuDebugger *obj,
                                                             guint address,
                                                             guint length,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);
    gboolean            ianjuta_cpu_debugger_inspect_memory (IAnjutaCpuDebugger *obj,
                                                             guint address,
                                                             guint length,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);
    gboolean            ianjuta_cpu_debugger_list_register  (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);
    gboolean            ianjuta_cpu_debugger_update_register
                                                            (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);
    gboolean            ianjuta_cpu_debugger_write_register (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerRegister *value,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaCpuDebugger

## Prerequisites

IAnjutaCpuDebugger requires GObject.

## Description

## Details

### IANJUTA_CPU_DEBUGGER_ERROR

    #define IANJUTA_CPU_DEBUGGER_ERROR ianjuta_cpu_debugger_error_quark()

### IAnjutaCpuDebugger

    typedef struct _IAnjutaCpuDebugger IAnjutaCpuDebugger;

### IAnjutaCpuDebuggerIface

    typedef struct {
    	GTypeInterface g_iface;

    	gboolean (*disassemble) (IAnjutaCpuDebugger *obj, guint address,  guint length,  IAnjutaDebuggerCallback callback,  gpointer user_data, GError **err);
    	gboolean (*inspect_memory) (IAnjutaCpuDebugger *obj, guint address,  guint length,  IAnjutaDebuggerCallback callback,  gpointer user_data, GError **err);
    	gboolean (*list_register) (IAnjutaCpuDebugger *obj, IAnjutaDebuggerCallback callback,  gpointer user_data, GError **err);
    	gboolean (*update_register) (IAnjutaCpuDebugger *obj, IAnjutaDebuggerCallback callback,  gpointer user_data, GError **err);
    	gboolean (*write_register) (IAnjutaCpuDebugger *obj, IAnjutaDebuggerRegister *value, GError **err);
    } IAnjutaCpuDebuggerIface;

### ianjuta_cpu_debugger_error_quark ()

    GQuark              ianjuta_cpu_debugger_error_quark    (void);

Returns : |

### ianjuta_cpu_debugger_disassemble ()

    gboolean            ianjuta_cpu_debugger_disassemble    (IAnjutaCpuDebugger *obj,
                                                             guint address,
                                                             guint length,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);

`obj` : |
`address` : |
`length` : |
`callback` : |
`user_data` : |
`err` : |
Returns : |

### ianjuta_cpu_debugger_inspect_memory ()

    gboolean            ianjuta_cpu_debugger_inspect_memory (IAnjutaCpuDebugger *obj,
                                                             guint address,
                                                             guint length,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);

`obj` : |
`address` : |
`length` : |
`callback` : |
`user_data` : |
`err` : |
Returns : |

### ianjuta_cpu_debugger_list_register ()

    gboolean            ianjuta_cpu_debugger_list_register  (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);

`obj` : |
`callback` : |
`user_data` : |
`err` : |
Returns : |

### ianjuta_cpu_debugger_update_register ()

    gboolean            ianjuta_cpu_debugger_update_register
                                                            (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerCallback callback,
                                                             gpointer user_data,
                                                             GError **err);

`obj` : |
`callback` : |
`user_data` : |
`err` : |
Returns : |

### ianjuta_cpu_debugger_write_register ()

    gboolean            ianjuta_cpu_debugger_write_register (IAnjutaCpuDebugger *obj,
                                                             IAnjutaDebuggerRegister *value,
                                                             GError **err);

`obj` : |
`value` : |
`err` : |
Returns : |